Subject: bug#12841: Make for AIX 8.20 fails with undefined symbol .rpl_malloc

From: Eric Blake <[email-masked]>
Date: Tue, 13 Nov 2012 09:45:05 -0700

On 11/13/2012 09:15 AM, Bernhard Voelker wrote:
> On 11/13/2012 04:46 PM, Paul Eggert wrote:
>> On 11/12/2012 11:00 PM, Bernhard Voelker wrote:
>>> I'm not sure, but shouldn't the prime list src/primes.h depend
>>> on src/make-prime-list?
>>
>> I'd rather not do that, since that would mean every builder
>> would have to build src/primes.h, and I'd rather that people used
>> the one that's in the tarball, as this avoids a build step
>> where things might go wrong (as they did in your case).
> 
> Thanks.
> 
> That's an argument for having src/primes.h in Git. ;-)

Not necessarily.  We can still keep src/primes.h out of git, as long as
'make dist' is only run under two conditions: either from a git checkout
with a machine sufficiently powerful to generate the same src/primes.h,
or from a tarball where src/primes.h already exists in the tarball.  It
excludes running 'make dist' from a git checkout with inferior setups,
but that is not a common enough operation to worry about.

> BTW: in which case will that file change? I mean, prime
> number are quite static, aren't they?

Again, since the file is unlikely to ever differ when generated
correctly, then there is no need to store it in git.

-- 
Eric Blake   [email-masked]    +1-919-301-3266
Libvirt virtualization library http://libvirt.org